//----------------------------------------------------------------------------

//  

//    ENC_F1 ( 1)  ENC_F2 ( 2).
// Enc_Scan()    .
//     
//    Keyboard_SetCode().

//----------------------------------------------------------------------------

#include "Main.h"
#include "Encoder.h"
#include "Keyboard.h"

//----------------------------- : -----------------------------------

enum { State0, StateA, StateB, StateAB }; // 

//----------------------------- : ----------------------------------

static char EncPrev;      //  
static char EncPrevPrev;  //-  

//-----------------------  : ----------------------------

void Encoder_Init(void)
{
  EncPrev = State0;       //  
  EncPrevPrev = State0;   // - 
}

//-------------------------  : ------------------------------

void Encoder_Exe(void)
{
  char EncCur = 0;
  if(!Pin_ENC_F1) EncCur  = StateA; //  1 
  if(!Pin_ENC_F2) EncCur |= StateB; //  2 
  if(EncCur != EncPrev)             //  ,
  {
    if(EncPrev == StateAB &&        //   StateAB
       EncCur != EncPrevPrev )      //   -  ,
    {
      if(EncCur == StateB)          //   StateB,
        Keyboard_SetCode(ENC_UP);   // 
      else                          //
        Keyboard_SetCode(ENC_DN);   // 
    }
    EncPrevPrev = EncPrev;          // - 
    EncPrev = EncCur;               //  
  }
}

//----------------------------------------------------------------------------
