//----------------------------------------------------------------------------

//3-phase generator SG-633
//  : header file

//----------------------------------------------------------------------------

#ifndef MenuH
#define MenuH

//--------------------------- : -------------------------------------

//  

enum { OUT_A,        //  OUT A
       OUT_B,        //  OUT B
       OUT_C,        //  OUT C
       CALIB,        //  
       SETUP };      //  

#define OUTS  (OUT_C + 1)  // 

//  OUTS:

enum { PAR_M,        //mode -   
       PAR_F,        //frequency - 
       PAR_P,        //phase - 
       PAR_A,        //amplitude -   
       POUTS_MAX };  // 

//  PAR_M:

enum { MD_SPLIT,     // 
       MD_COMBO };   //     
       
//   1:

enum { SERV1_SM,     //sound mode
       SERV1_RP,     //read preset
       SERV1_SP,     //save preset
       SERV1_CA,     //calibration
       SERV1_P2,     //page 2
       SERV1_MAX };

//   2:

enum { SERV2_P1,     //page 1
       SERV2_LV,     //level (Ampl./RMS)
       SERV2_SI,     //show info
       SERV2_EX,     //exit
       SERV2_MAX };

//  :

enum { CAL_F,       //calib. frequency
       CAL_A,       //calib. amplitude A
       CAL_B,       //calib. amplitude B
       CAL_C,       //calib. amplitude C
       CAL_S,       //save calib.
       CAL_MAX };

//  SETUP:

enum { SAVE_P,       //   EEPROM
       READ_P,       //   EEPROM
       LCD_C,        //  LCD
       SAVE_S,       //   EEPROM
       UNITS,        //  
       PSETUP_MAX };

//  SERV2_U, (UNITS):

enum { UN_AMP,       //amplitude
       UN_RMS };     //RMS

#define DRAW  0x80   //draw bit
#define BEEP  0x40   //beep bit

//--------------------------  : ------------------------------

void Menu_Init(void);       //  
void Menu_Exe(bool t);      // 
void Menu_SetLock(bool b);  //  
bool Menu_GetLock(void);    //   
void Menu_SetPar(char ch, char par, long v); // 
long Menu_GetPar(char ch, char par); // 
char Menu_GetSelPar(void);  //   
char Menu_GetSelChan(void); //   

//----------------------------------------------------------------------------

#endif

