//----------------------------------------------------------------------------

//3-phase generator SG-633
//  : header file

//----------------------------------------------------------------------------

#ifndef ControlH
#define ControlH

//----------------------------- : -----------------------------------

#define MIN_F     1000 //  , 0.001 
#define NOM_F    50000 //  , 0.001 
#define MAX_F  3000000 //  , 0.001 

#define MIN_P    -3600 //  , 0.1
#define NOM_P        0 //  , 0.1
#define MAX_P     3600 //  , 0.1

#define MIN_A        0 //  , 0.01 
#define NOM_A      100 //  , 0.01 
#define MAX_A     1000 //  , 0.01 

#define MIN_CALIB -999 //  
#define NOM_CALIB    0 //  
#define MAX_CALIB  999 //  

//--------------------------  : ------------------------------

void Control_Init(void);             // 
void Control_ReadCal(void);          //   EEPROM
void Control_SaveCal(void);          //   EEPROM
void Control_SetK(int k, char s);    //  
int  Control_GetK(char s);           //  
void Control_SetS(char ch, char s);  // 
void Control_SetF(char ch, long f);  // 
void Control_SetP(char ch, int p);   //  
void Control_SetA(char ch, int l);   // 

//----------------------------------------------------------------------------

#endif
