//----------------------------------------------------------------------------

//Sine wave generator SG-642
//  : header file

//----------------------------------------------------------------------------

#ifndef KeyboardH
#define KeyboardH

//----------------------------- : -----------------------------------

#define REP       0x80  // 
#define REL       0x40  // 

#define KEY_NO    0x00  // 
#define KEY_EUP   0x01  // ""
#define KEY_EDN   0x02  // ""
#define KEY_ESB   0x03  // 
#define KEY_UP    0x04  // UP
#define KEY_DN    0x05  // DN
#define KEY_CHAN  0x06  // CHAN
#define KEY_STEP  0x07  // STEP

//--------------------------  : ------------------------------

void Keyboard_Init(void);         //  
void Keyboard_Exe(bool t);        // 
void Keyboard_SetCode(char code); //   
char Keyboard_GetCode(void);      //   

//----------------------------------------------------------------------------

#endif

